Index: enylun.f
===================================================================
--- enylun.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ enylun.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -727,12 +673,12 @@
       nxy=ndx*ndy
       ncell=nxy*ndz
-!      print *,'Number of cells along x,y,z = ',ndx,',',ndy,',',ndz
+c      print *,'Number of cells along x,y,z = ',ndx,',',ndy,',',ndz
       if (ncell.ge.mxcell) then
          print *,'exvlun> required number of cells',ncell,
-     &        ' exceeded the limit ',mxcell
+     #        ' exceeded the limit ',mxcell
          print *,'recompile with a higher mxcell.'
          stop
       endif
-!     Expand box to contain an integral number of cells along each direction
+c     Expand box to contain an integral number of cells along each direction
       shiftx=(dble(ndx)*exvcutg-sizex)/2.0
       shifty=(dble(ndy)*exvcutg-sizey)/2.0
@@ -745,6 +691,6 @@
       zmax=zmax+shiftz
 
-!     Set occupied cells to zero. Note that the maximum number of occupied
-!     cells is the number of atoms in the system.
+c     Set occupied cells to zero. Note that the maximum number of occupied
+c     cells is the number of atoms in the system.
       nocccl=0
       do i=1,mxat
@@ -752,5 +698,5 @@
       enddo
 
-!     Put atoms in cells
+c     Put atoms in cells
       do j=istat,indat
          mx=min(int(max((xat(j)-xmin)/exvcutg,0.0d0)),ndx-1)
@@ -759,10 +705,10 @@
          icellj=mx+my*ndx+mz*nxy+1
          icell(j)=icellj
-         if (icellj.gt.mxcell) then
+         if (icellj.gt.mxcell) then 
             print *,'exvlun> bad cell index ',icellj,' for atom ',j
             stop
-         else
-            if (incell(icellj).eq.0) then
-!           previously unoccupied cell
+         else 
+            if (incell(icellj).eq.0) then 
+c           previously unoccupied cell
                nocccl=nocccl+1
                locccl(nocccl)=icellj
@@ -771,11 +717,11 @@
          endif
       enddo
-!      print *,'finished assigning cells. nocccl = ',nocccl
-!     Cummulative occupancy of i'th cell
+c      print *,'finished assigning cells. nocccl = ',nocccl
+c     Cummulative occupancy of i'th cell
       do i=1,ncell
          incell(i+1)=incell(i+1)+incell(i)
       enddo
-!      print *,'finished making cumulative cell sums'
-!     Sorting atoms by their cell index
+c      print *,'finished making cumulative cell sums'
+c     Sorting atoms by their cell index
       do i=istat,indat
          j=icell(i)
@@ -784,46 +730,29 @@
          incell(j)=jj-1
       enddo
-!      print *,'sorted atoms by cell index'
+c      print *,'sorted atoms by cell index'
       etmp=0.0
       do icl=1,nocccl
-!     loop through occupied cells
+c     loop through occupied cells
          lcell=locccl(icl)
          ix=mod(lcell-1,ndx)
-         iz = (lcell - 1) / nxy
-         iy = ((lcell - 1) - iz * nxy) / ndx
-
+         iy=(mod(lcell-1,nxy)-ix)/ndx
+         iz=(lcell-1-ix-ndx*iy)/nxy
 c         print *,'icl=',icl,'absolute index of cell = ',lcell
 c         print *,'iz,iy,ix = ',iz,iy,ix
 c     find all atoms in current cell and all its forward-going neighbours
-         nex=ix+1
-         ney=iy+1
-         nez=iz+1
+         nex=min(ix+1,ndx-1)
+         ney=min(iy+1,ndy-1)
+         nez=min(iz+1,ndz-1)
          nsame=0
          nngbr=0
          do jx=ix,nex
-            if (jx.ge.ndx) then
-               jx1=0
-            else
-               jx1=jx
-            endif
             do jy=iy,ney
-               if (jy.ge.ndy) then
-                  jy1=0
-               else
-                  jy1=jy
-               endif
                do jz=iz,nez
-                  if (jz.ge.ndz) then
-                     jz1=0
-                  else
-                     jz1=jz
-                  endif
-                  jcl=jx1 + ndx*jy1 + nxy*jz1 + 1
-!                  write (logString, *)'jcl,jx1,jy1,jz1:', jcl,jx1,jy1,jz1
+                  jcl=jx+ndx*jy+nxy*jz+1
                   do ii=incell(jcl)+1,incell(jcl+1)
-!     count the total number of neighbours
+c                    count the total number of neighbours
                      nngbr=nngbr+1
                      if (jx.eq.ix.and.jy.eq.iy.and.jz.eq.iz) then
-!     count how many neighbours are from the same cell
+c                    count how many neighbours are from the same cell
                         nsame=nsame+1
                      endif
@@ -833,12 +762,10 @@
             enddo
          enddo
-!     A few more cells need to be searched, so that we cover 13 of the 26
-!     neighbouring cells.
-!        1
+c     A few more cells need to be searched, so that we cover 13 of the 26
+c     neighbouring cells. 
+c        1
          jx=ix+1
-         if (jx.ge.ndx) jx=0
          jy=iy
          jz=iz-1
-         if (jz.lt.0) jz=ndz-1
          jcl=jx+ndx*jy+nxy*jz+1
          do ii=incell(jcl)+1,incell(jcl+1)
@@ -846,10 +773,8 @@
             ngbr(nngbr)=isort(ii)
          enddo
-!        2
+c        2
          jx=ix
          jy=iy-1
-         if (jy.lt.0) jy =ndy-1
          jz=iz+1
-         if (jz.ge.ndz) jz=0
          jcl=jx+ndx*jy+nxy*jz+1
          do ii=incell(jcl)+1,incell(jcl+1)
@@ -857,9 +782,7 @@
             ngbr(nngbr)=isort(ii)
          enddo
-!        3
+c        3
          jx=ix-1
-         if (jx.lt.0)jx =ndx-1
          jy=iy+1
-         if (jy.ge.ndy) jy=0
          jz=iz
          jcl=jx+ndx*jy+nxy*jz+1
@@ -868,11 +791,8 @@
             ngbr(nngbr)=isort(ii)
          enddo
-!        4
+c        4
          jx=ix+1
-         if (jx.ge.ndx) jx=0
          jy=iy+1
-         if (jy.ge.ndy) jy=0
          jz=iz-1
-         if (jz.lt.0) jz=ndz-1
          jcl=jx+ndx*jy+nxy*jz+1
          do ii=incell(jcl)+1,incell(jcl+1)
@@ -880,11 +800,8 @@
             ngbr(nngbr)=isort(ii)
          enddo
-!        5
+c        5
          jx=ix+1
-         if (jx.ge.ndx) jx = 0
          jy=iy-1
-         if (jy.lt.0) jy=ndy-1
          jz=iz+1
-         if (jz.ge.ndz) jz=0
          jcl=jx+ndx*jy+nxy*jz+1
          do ii=incell(jcl)+1,incell(jcl+1)
@@ -892,11 +809,8 @@
             ngbr(nngbr)=isort(ii)
          enddo
-!        6
+c        6
          jx=ix+1
-         if (jx.ge.ndx) jx=0
          jy=iy-1
-         if (jy.lt.0) jy=ndy-1
          jz=iz-1
-         if (jz.lt.0) jz=ndy-1
          jcl=jx+ndx*jy+nxy*jz+1
          do ii=incell(jcl)+1,incell(jcl+1)
@@ -905,11 +819,11 @@
          enddo
 
-!         print *,'atoms in same cell ',nsame
-!         print *,'atoms in neighbouring cells ',nngbr
+c         print *,'atoms in same cell ',nsame
+c         print *,'atoms in neighbouring cells ',nngbr
          do i1=1,nsame
-!        Over all atoms from the original cell
+c        Over all atoms from the original cell
             iat1=ngbr(i1)
             do i2=i1,nngbr
-!           Over all atoms in the original+neighbouring cells
+c           Over all atoms in the original+neighbouring cells
                iat2=ngbr(i2)
                xij=xat(iat1)-xat(iat2)
@@ -918,7 +832,7 @@
                r2=(xij*xij+yij*yij+zij*zij)
 
-               if (r2.le.exvcutg2) then
+               if (r2.le.exvcutg2) then 
                   if (abs(iat2-iat1).gt.mxconr.or.
-     &                 matcon(iat2-iat1,iat1).eq.1) then
+     #                 matcon(iat2-iat1,iat1).eq.1) then
                      iatt1=ityat(iat1)
                      iatt2=ityat(iat2)
@@ -926,11 +840,11 @@
                      r6=r6*r6*r6
                      etmp1=r6*r6+asaexv(iatt1,iatt2)
-     &                    +bsaexv(iatt1,iatt2)*r2
+     #                    +bsaexv(iatt1,iatt2)*r2
                      etmp=etmp+etmp1
-!                     if (etmp1.ge.2000) then
-!                        print *,'contribution ',iat1,iat2,etmp1
-!                        call outpdb(1,'EXAMPLES/clash.pdb')
-!                        stop
-!                     endif
+c                     if (etmp1.ge.2000) then
+c                        print *,'contribution ',iat1,iat2,etmp1
+c                        call outpdb(1,'EXAMPLES/clash.pdb')
+c                        stop
+c                     endif
                   endif
                endif
@@ -938,16 +852,16 @@
          enddo
       enddo
-!      irs=1
-!      do iat=iatrs1(irs),iatrs2(irs)
-!         do j=-mxconr,mxconr
-!            print *,iat,j,':',matcon(j,iat)
-!         enddo
-!      enddo
-!      irs=irsml2(1)
-!      do iat=iatrs1(irs),iatrs2(irs)
-!         do j=-mxconr,mxconr
-!            print *,iat,j,':',matcon(j,iat)
-!         enddo
-!      enddo
+c      irs=1
+c      do iat=iatrs1(irs),iatrs2(irs)
+c         do j=-mxconr,mxconr
+c            print *,iat,j,':',matcon(j,iat)
+c         enddo
+c      enddo
+c      irs=irsml2(1)
+c      do iat=iatrs1(irs),iatrs2(irs)
+c         do j=-mxconr,mxconr
+c            print *,iat,j,':',matcon(j,iat)
+c         enddo
+c      enddo
 
       eyvw=exvk*etmp
@@ -957,11 +871,7 @@
 
       real*8 function exvbrfc()
-!     Brute force excluded volume evaluation
+c     Brute force excluded volume evaluation
       include 'INCL.H'
       include 'incl_lund.h'
-
-      double precision etmp, etmp1, xij, yij, zij, r2, r6
-
-      integer iat1, iat2, iatt1, iatt2
 
       etmp=0.0
@@ -975,7 +885,7 @@
             r2=(xij*xij+yij*yij+zij*zij)
 
-            if (r2.le.exvcutg2) then
+            if (r2.le.exvcutg2) then 
                if (abs(iat2-iat1).gt.mxconr.or.
-     &                 matcon(iat2-iat1,iat1).eq.1) then
+     #                 matcon(iat2-iat1,iat1).eq.1) then
                   iatt1=ityat(iat1)
                   iatt2=ityat(iat2)
@@ -983,9 +893,20 @@
                   r6=r6*r6*r6
                   etmp1=r6*r6+asaexv(iatt1,iatt2)
-     &                 +bsaexv(iatt1,iatt2)*r2
+     #                 +bsaexv(iatt1,iatt2)*r2
                   etmp=etmp+etmp1
-               else
-!                  print *,'atoms ', iat1,' and ',iat2,' were close',
-!     #                 'but matcon is ',matcon(iat2-iat1,iat1)
+                  if (iat1.eq.43.and.iat2.eq.785) then
+                     print *,'contribution ',iat1,iat2,etmp1
+                     print *,'r2 = ',r2
+                     print *,'atom types : ',iatt1,iatt2
+                     print *,'sig2exv = ',sig2exv(iatt1,iatt2)
+                     print *,'asa = ',asaexv(iatt1,iatt2)
+                     print *,'bsa = ',bsaexv(iatt1,iatt2)
+
+c     call outpdb(1,'EXAMPLES/clash.pdb')
+c     stop
+                  endif
+               else 
+c                  print *,'atoms ', iat1,' and ',iat2,' were close',
+c     #                 'but matcon is ',matcon(iat2-iat1,iat1)
                endif
             endif
Index: enyreg.f
===================================================================
--- enyreg.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ enyreg.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -3,25 +3,21 @@
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
-! *******************************
+c *******************************
       real*8 function enyreg(nml)
 
-! ----------------------------------------------------
-!
-! PURPOSE: sum( ( R_i - R^ref_j )**2 )
-!
-!    with: R_i     - atom position i in SMMP structure
-!          R^ref_j - corresponding atom j in PDB str.
-!
-! CALLS: none
-!
-! ----------------------------------------------------
+c ----------------------------------------------------
+c
+c PURPOSE: sum( ( R_i - R^ref_j )**2 )
+c
+c    with: R_i     - atom position i in SMMP structure
+c          R^ref_j - corresponding atom j in PDB str.
+c
+c CALLS: none
+c
+c ----------------------------------------------------
 
       include 'INCL.H'
       include 'INCP.H'
 
-
-      double precision eny
-
-      integer i, nml, j
 
       eny = 0.d0
@@ -33,5 +29,5 @@
 
           eny = eny + (xat(i)-xatp(j))**2+(yat(i)-yatp(j))**2+
-     &                (zat(i)-zatp(j))**2
+     #                (zat(i)-zatp(j))**2
         endif
       enddo   ! atoms
Index: enyshe.f
===================================================================
--- enyshe.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ enyshe.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,35 +1,31 @@
-! **************************************************************
-!
-! This file contains the subroutines: enyshe
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: enyshe 
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
-!> PURPOSE: Calculate internal energy of molecule 'nml' with ECEPP parameters
-!!
-!! CALLS: none
-!!
-!! The function loops over all moving sets within the molecule. Within
-!! this loop it loops over the van-der-Waals domains of each atom in the
-!! moving set and finally over the atoms that belong to the 1-4 interaction
-!! set.
-!< ............................................................................
 
       real*8 function enyshe(nml)
 
+c ............................................................................
+c
+c PURPOSE: Calculate internal energy of molecule 'nml' with ECEPP parameters
+c
+c CALLS: none
+c
+c The function loops over all moving sets within the molecule. Within
+c this loop it loops over the van-der-Waals domains of each atom in the 
+c moving set and finally over the atoms that belong to the 1-4 interaction
+c set.
+c ............................................................................
 
       include 'INCL.H'
 
-! If nml == 0 calculate the interaction between all pairs.
-      double precision e0, vr, cqi, xi, yi, zi, xij, yij, zij, rij2
-      double precision rij4, rij6, rij, sr, ep
-
-      integer nml, ntlvr, ifivr, i1s, io, iv, ia, it, ic, i2s, ims, i1
-      integer i2, i, ity, ivw, j, jty, i14
-
+c If nml == 0 calculate the interaction between all pairs.
       if (nml.eq.0) then
           ntlvr = nvr
@@ -37,8 +33,8 @@
         ntlvr=nvrml(nml)
       endif
-
+      
       if (ntlvr.eq.0) then
-        write (logString, '(a,i4)')
-     &           ' enyshe> No variables defined in molecule #',nml
+        write (*,'(a,i4)')
+     #           ' enyshe> No variables defined in molecule #',nml
         return
       endif
@@ -52,77 +48,77 @@
         ifivr = ivrml1(1)
         i1s = imsml1(ntlml) + nmsml(ntlml)
-      else
-! Index of first variable in molecule.
+      else 
+c Index of first variable in molecule.
         ifivr=ivrml1(nml)
-! Index of last moving set in molecule
+c Index of last moving set in molecule
         i1s=imsml1(nml)+nmsml(nml)
       endif
-! Loop over moving sets/variables in reverse order
-      do io=ifivr+ntlvr-1,ifivr,-1
-! The array iorvr contains the variables in an "apropriate" order.
-        iv=iorvr(io)
-! Index of the primary moving atom for the variable with index iv
-        ia=iatvr(iv)
-! Get the type of variable iv (valence length, valence angle, dihedral angle)
-        it=ityvr(iv)
-! Class of variable iv's potential  (Q: What are they)
-        ic=iclvr(iv)
-! If iv is a dihedral angle ...
-        if (it.eq.3) then
-! Barrier height * 1/2 of the potential of iv.
+c Loop over moving sets/variables in reverse order     
+      do io=ifivr+ntlvr-1,ifivr,-1  
+c The array iorvr contains the variables in an "apropriate" order.
+        iv=iorvr(io)       
+c Index of the primary moving atom for the variable with index iv
+        ia=iatvr(iv)       
+c Get the type of variable iv (valence length, valence angle, dihedral angle)
+        it=ityvr(iv)       
+c Class of variable iv's potential  (Q: What are they)
+        ic=iclvr(iv)       
+c If iv is a dihedral angle ...
+        if (it.eq.3) then      
+c Barrier height * 1/2 of the potential of iv.
           e0=e0to(ic)
-! Calculate the periodic potential term. sgto is the sign of the barrier, rnto is
-! the periodicity and toat is torsion angle(?) associate with atom ia.
-          if (e0.ne.0.)
-     &         eyvr=eyvr+e0*(1.0+sgto(ic)*cos(toat(ia)*rnto(ic)))
-! else if iv is a valence angle ...
-        elseif (it.eq.2) then
-! vr is the valence angle of ia
+c Calculate the periodic potential term. sgto is the sign of the barrier, rnto is
+c the periodicity and toat is torsion angle(?) associate with atom ia.
+          if (e0.ne.0.) 
+     #         eyvr=eyvr+e0*(1.0+sgto(ic)*cos(toat(ia)*rnto(ic)))
+c else if iv is a valence angle ...
+        elseif (it.eq.2) then  
+c vr is the valence angle of ia
           vr=baat(ia)
-! else if iv is a valence length...
-        elseif (it.eq.1) then
-! vr is the length of the valence bond
+c else if iv is a valence length...
+        elseif (it.eq.1) then  
+c vr is the length of the valence bond
           vr=blat(ia)
         endif
 
-! ============================================ Energies & Atomic forces
-! index of next to last moving set
+c ============================================ Energies & Atomic forces
+c index of next to last moving set
         i2s=i1s-1
-! index of first moving set associated with iv
-        i1s=imsvr1(iv)
-! Loop over all moving sets starting from the one associated with vr to the end.
-        do ims=i1s,i2s
-! First atom of the current moving set
+c index of first moving set associated with iv
+        i1s=imsvr1(iv) 
+c Loop over all moving sets starting from the one associated with vr to the end.
+        do ims=i1s,i2s  
+c First atom of the current moving set
           i1=latms1(ims)
-! Last atom of the current moving set
+c Last atom of the current moving set
           i2=latms2(ims)
-! Loop over all atoms of the current moving set.
-          do i=i1,i2
-! Atom class of current atom
+c Loop over all atoms of the current moving set.
+          do i=i1,i2  
+c Atom class of current atom
             ity=ityat(i)
-! Point charge at current atom
+c Point charge at current atom
             cqi=conv*cgat(i)
-! Cartesian coordinates of current atom
+c Cartesian coordinates of current atom
             xi=xat(i)
             yi=yat(i)
             zi=zat(i)
-! Loop over the atoms of the van der Waals domain belonging to atom i
-            do ivw=ivwat1(i),ivwat2(i)
-! Loop over the atoms of the van der Waals domain of the atoms of the
-! van der Waals domain of atom i
-! Q: Which atoms are in these domains?
-              do j=lvwat1(ivw),lvwat2(ivw)
-! Atom type of partner
+c Loop over the atoms of the van der Waals domain belonging to atom i
+            do ivw=ivwat1(i),ivwat2(i)  
+c Loop over the atoms of the van der Waals domain of the atoms of the 
+c van der Waals domain of atom i
+c Q: Which atoms are in these domains?
+              do j=lvwat1(ivw),lvwat2(ivw)  
+c Atom type of partner
                 jty=ityat(j)
-! Differences in cartesian coordinates
+c Differences in cartesian coordinates
                 xij=xat(j)-xi
                 yij=yat(j)-yi
                 zij=zat(j)-zi
-! Cartesian distance and higher powers
+c Cartesian distance and higher powers
                 rij2=xij*xij+yij*yij+zij*zij
                 rij4=rij2*rij2
                 rij6=rij4*rij2
                 rij=sqrt(rij2)
-! Are we using a distance dependent dielectric constant?
+c Are we using a distance dependent dielectric constant?
                 if(epsd) then
                  sr=slp*rij
@@ -131,23 +127,23 @@
                  ep = 1.0d0
                 end if
-! Coulomb interaction
+c Coulomb interaction
                 eyel=eyel+cqi*cgat(j)/(rij*ep)
-! If the two atoms cannot form a hydrogen bond use 6-12 Lennard-Jones potential
+c If the two atoms cannot form a hydrogen bond use 6-12 Lennard-Jones potential
                 if (ihbty(ity,jty).eq.0) then
                   eyvw=eyvw+aij(ity,jty)/(rij6*rij6)
-     &                     -cij(ity,jty)/rij6
+     #                     -cij(ity,jty)/rij6
                 else
-! For hydrogen bonding use 10-12 Lennard-Jones potential
+c For hydrogen bonding use 10-12 Lennard-Jones potential
                   eyhb=eyhb+ahb(ity,jty)/(rij6*rij6)
-     &                     -chb(ity,jty)/(rij6*rij4)
+     #                     -chb(ity,jty)/(rij6*rij4)
                 endif
 
-              enddo
-            enddo
-
-! Loop over 1-4 interaction partners
-! The interactions between atoms that are three bonds apart in the protein are
-! dominated by quantum mechanical effects. They are treated separately.
-            do i14=i14at1(i),i14at2(i)
+              enddo  
+            enddo  
+            
+c Loop over 1-4 interaction partners
+c The interactions between atoms that are three bonds apart in the protein are
+c dominated by quantum mechanical effects. They are treated separately.
+            do i14=i14at1(i),i14at2(i)   
               j=l14at(i14)
 
@@ -161,5 +157,5 @@
               rij6=rij4*rij2
               rij = sqrt(rij2)
-! Are we using a distance dependent dielectric constant?
+c Are we using a distance dependent dielectric constant?
               if(epsd) then
                sr=slp*rij
@@ -170,12 +166,12 @@
 
               eyel=eyel+cqi*cgat(j)/(rij*ep)
-! If hydrogen bonding is not possible use 6-12 Lennard-Jones potential.
+c If hydrogen bonding is not possible use 6-12 Lennard-Jones potential.
               if (ihbty(ity,jty).eq.0) then
                 eyvw=eyvw+a14(ity,jty)/(rij6*rij6)
-     &                   -cij(ity,jty)/rij6
+     #                   -cij(ity,jty)/rij6
               else
-! Use 10-12 Lennard-Jones potential for hydrogen bonds.
+c Use 10-12 Lennard-Jones potential for hydrogen bonds.
                 eyhb=eyhb+ahb(ity,jty)/(rij6*rij6)
-     &                   -chb(ity,jty)/(rij6*rij4)
+     #                   -chb(ity,jty)/(rij6*rij4)
               endif
 
